﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using MVVMTest2.Data;
using MVVMTest2.Models;

namespace MVVMTest2.BusinessModels
{
    public class CartItemModel : CartItem
    {
        private readonly DataService DataService;

        public CartItemModel(DataService DataService)
        {
            // The constructor injects the DataService
            // Again, this would normally be an API Service
            this.DataService = DataService;
        }

        // TIP! Override base properties and methods with the new keyword
        // It doesn't require virtual members!
        public int productId;
        public new int ProductId
        {
            get
            {
                return productId;
            }
            set
            {
                productId = value;
                // Set the Product from the ProductId
                Product = (from x in DataService.Products
                           where x.Id == value
                           select x).FirstOrDefault();
            }
        }

        public ProductModel Product { get; set; }

        public decimal Total
        {
            get
            {
                // Calculate total for this cart itme
                return (decimal)Quantity * Product.Price;
            }
        }

    }
}
