﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using MVVMTest2.Models;

namespace MVVMTest2.BusinessModels
{
    public class ProductModel : Product
    {
        public event Action StateChanged;
        private void NotifyStateChanged() => StateChanged?.Invoke();

        // Override Price property so we can raise the StateChanged event
        public new decimal Price
        {
            get
            {
                return base.Price;
            }
            set
            {
                // Whenever Price is updated, notify the viewmodel with this event
                base.Price = value;
                NotifyStateChanged();
            }
        }
    }
}
