﻿using MVVMTest2.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace MVVMTest2.BusinessModels
{
    public class CartModel : Cart
    {
        private List<CartItemModel> items = new List<CartItemModel>();
        // Override the Items collection property, changing to a list of CartItemModel
        public new List<CartItemModel> Items
        {
            get
            {
                return items;
            }
            set
            {
                items = value;
            }
        }

        public decimal Total
        {
            get
            {
                // Add up all the cart item totals
                decimal total = 0;
                foreach (var item in Items)
                {
                    total += item.Total;
                }
                return total;
            }
        }
    }
}
