﻿using MVVMTest2.BusinessModels;
using MVVMTest2.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace MVVMTest2.Data
{
    /// <summary>
    /// DataService in this demo is a repository for data
    /// that would normally come from an API Service.
    /// See BlazorTrain episodes 11, 12, and 16.
    /// </summary>
    public class DataService
    {
        public DataService()
        {
            // add products
            products.Add(new ProductModel()
            {
                Id = 1,
                Name = "Left-handed Thingamabob",
                Description = "For left-handed thingamabob users",
                Price = (decimal)9.99
            });
            products.Add(new ProductModel()
            {
                Id = 2,
                Name = "5.4mm Scringdaddy",
                Description = "For all those tight corners",
                Price = (decimal)1.99
            });
            products.Add(new ProductModel()
            {
                Id = 3,
                Name = "Small Black Poppydoppy",
                Description = "For when you don't need a large poppydoppy",
                Price = (decimal)3.99
            });

            // create customers
            customers.Add(new CustomerModel()
            {
                Id = 1,
                FirstName = "Isadora",
                LastName = "Jarr",
            });
            customers.Add(new CustomerModel()
            {
                Id = 2,
                FirstName = "Ben",
                LastName = "Slacken"
            });
            customers.Add(new CustomerModel()
            {
                Id = 3,
                FirstName = "Mike",
                LastName = "Easter"
            });
        }

        List<ProductModel> products = new List<ProductModel>();
        public List<ProductModel> Products
        {
            get
            {
                return products;
            }
        }
        List<CustomerModel> customers = new List<CustomerModel>();
        public List<CustomerModel> Customers
        {
            get
            {
                return customers;
            }
        }
    }
}
