﻿using MVVMTest2.BusinessModels;
using MVVMTest2.Data;
using MVVMTest2.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace MVVMTest2.ViewModels
{
    public class IndexViewModel : IIndexViewModel
    {
        private readonly DataService DataService;

        public IndexViewModel(DataService DataService)
        {
            this.DataService = DataService;
            // use an API Manager to get data here

            // Set CustomerId for Shopping Cart
            ShoppingCart.CustomerId = 1;

            // Add a few shopping cart items
            ShoppingCart.Items.Add(new CartItemModel(DataService)
            {
                Id = 1,
                ProductId = 1,
                Quantity = 3
            });
            ShoppingCart.Items.Add(new CartItemModel(DataService)
            {
                Id = 2,
                ProductId = 2,
                Quantity = 1
            });
            ShoppingCart.Items.Add(new CartItemModel(DataService)
            {
                Id = 3,
                ProductId = 3,
                Quantity = 2
            });
        }

        public CartModel ShoppingCart { get; set; } = new CartModel();

        public void UpdateModels()
        {
            // For demo purposes. Update a property value from the ViewModel
            DataService.Products[0].Price += (decimal)1.0;
        }

    }
}
